package com.ruoyi.project.ehs.mapper;

import java.util.List;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.ehs.domain.TFirehose;

/**
 * 消防水带箱Mapper接口
 * 
 * @author ruoyi
 * @date 2020-11-25
 */
public interface TFirehoseMapper 
{
    /**
     * 查询消防水带箱
     * 
     * @param id 消防水带箱ID
     * @return 消防水带箱
     */
    public TFirehose selectTFirehoseById(Long id);

    /**
     * 查询消防水带箱列表
     * 
     * @param tFirehose 消防水带箱
     * @return 消防水带箱集合
     */
    @DataScope(deptAlias = "d")
    public List<TFirehose> selectTFirehoseList(TFirehose tFirehose);

    /**
     * 定时任务查询消防水带箱列表
     *
     * @param tFirehose 消防水带箱
     * @return 消防水带箱集合
     */
    public List<TFirehose> selectList(TFirehose tFirehose);

    /**
     * 新增消防水带箱
     * 
     * @param tFirehose 消防水带箱
     * @return 结果
     */
    public int insertTFirehose(TFirehose tFirehose);

    /**
     * 修改消防水带箱
     * 
     * @param tFirehose 消防水带箱
     * @return 结果
     */
    public int updateTFirehose(TFirehose tFirehose);

    /**
     * 删除消防水带箱
     * 
     * @param id 消防水带箱ID
     * @return 结果
     */
    public int deleteTFirehoseById(Long id);

    /**
     * 批量删除消防水带箱
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTFirehoseByIds(Long[] ids);
}
